Name:           jansson
Version:        2.14
Release:        5
Summary:        A C library for encoding, decoding and manipulating JSON data
License:        MIT
URL:            http://www.digip.org/jansson/
Source0:        https://github.com/akheron/jansson/releases/download/v%{version}/%{name}-%{version}.tar.bz2

Patch6000:      Fix-the-check-exports-tests-for-versioned-symbols.patch
Patch6001:      Fix-overwriting-linker-flags.patch
Patch6002:      Add-a-missing-json_decref-in-the-example.patch
Patch6003:      fix-typo.patch

BuildRequires:  gcc python-sphinx

%description
Jansson is a C library for encoding, decoding and manipulating JSON data.

%package        devel
Summary:        files for jansson development
Requires:       %{name} = %{version}-%{release}
%description    devel
files for jansson development

%package_help

%prep
%autosetup -n %{name}-%{version} -p1

%build
%configure
%make_build

%install
rm -rf %RPM_BUILD_ROOT
%make_install
%delete_la_and_a

%check
make check

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(-,root,root)
%doc LICENSE
%{_libdir}/libjansson.so.*

%files devel
%defattr(-,root,root)
%{_libdir}/libjansson.so
%{_libdir}/pkgconfig/jansson.pc
%{_includedir}/jansson*.h

%files help
%defattr(-,root,root)
%doc CHANGES

%changelog
* Thu Aug 15 2024 zhangxingrong <zhangxingrong@uniontech.cn> - 2.14-5
- Fix-overwriting-linker-flags.patch
- Add-a-missing-json_decref-in-the-example.patch
- fix-typo.patch

* Thu Aug 01 2024 zhangruifang <zhangruifang@h-partners.com> - 2.14-4
- rebuild for next release 

* Wed Nov 23 2022 fuanan <fuanan3@h-partners.com> - 2.14-3
- Type:bugfix
- ID:NA
- SUG:NA
- DESC:Modify Source0

* Tue Oct 25 2022 yanglongkang <yanglongkang@h-partners.com> - 2.14-2
- rebuild for next release

* Sat Dec 25 2021 shangyibin <shangyibin1@huawei> - 2.14-1
- DESC:upgrade to 2.14

* Sat Aug 8 2020 shixuantong <shixuantong@huawei> - 2.13.1-4
- Type:NA
- ID:NA
- SUG:NA
- DESC:Do not generate html

* Mon Aug 03 2020 Leo Fang <leofang_94@163.com> - 2.13.1-3
- Update url of Source0

* Sat Aug 1 2020 xinghe<xinghe1@huawei.com> - 2.13.1-2
- Type:enhancement
- ID:NA
- SUG:NA
- DESC:remove 2.11.tar

* Wed Jun 10 2020 xinghe<xinghe1@huawei.com> - 2.13.1-1
- Type:enhancement
- ID:NA
- SUG:NA
- DESC:Upgrade version 2.11 to 2.13.1

* Tue Sep 24 2019 shenyangyang<shenyangyang4@huawei.com> - 2.11-4
- Type:enhancement
- ID:NA
- SUG:NA
- DESC:revise help package

* Mon Aug 19 2019 openEuler Builteam <buildteam@openeuler.org> - 2.11-3
- Package init
